function Ball(){

	this.x = 0;
	this.y = 0;
	this.radius = 0.5;

	//Bodydef
	var bodyDef = new b2d.b2BodyDef();
	bodyDef.position.Set(1,3.5);
	bodyDef.type = b2d.b2Body.b2_dynamicBody;

	//Shape
	var shape = new b2d.b2CircleShape();
	shape.SetRadius(this.radius);
	
	//FixtureDef
	var fixDef = new b2d.b2FixtureDef();
	fixDef.density = 1;
	fixDef.friction = 0.5;
	fixDef.restitution = 0.7;
	fixDef.shape = shape;
	
	//Body, Fixture erzeugen
	this.body = world.CreateBody(bodyDef);
	this.fixture = this.body.CreateFixture(fixDef);
	this.body.setBullet = true;
	this.body.userData = "ball";

	//Den Kreis mit easel.js in zufälliger Farbe anzeigen
	var r = Math.floor(Math.random()*255);
    var g = Math.floor(Math.random()*255);
    var b = Math.floor(Math.random()*255);
    var color = "rgba("+r+","+g+","+b+",1.0)";
	this.circle = new createjs.Shape();
	this.circle.graphics.beginFill(color).drawCircle(0,0,this.radius*SCALE);
	stage.addChild(this.circle);

}

Ball.prototype.draw = function(){

	this.circle.x = this.body.GetPosition().x*SCALE;
	this.circle.y = this.body.GetPosition().y*SCALE;

}

Ball.prototype.throw = function(start,input){
	
	this.body.ApplyImpulse(new b2d.b2Vec2((start.x-input.x)*3,(start.y-input.y)*3),this.body.GetWorldCenter());
}

Ball.prototype.getFixture = function(){
	return this.fixture;
}